#pragma once
#include "Plugin.h"

namespace ffglqs
{

class Effect : public Plugin
{
public:
	Effect();
	~Effect();

	template< typename PluginType >
	static PluginInstance CreatePlugin( ffgl::PluginInfo infos );

	virtual ffgl::FFResult Render( ffgl::ProcessOpenGLStruct* inputTextures ) override;
};

template< typename PluginType >
inline PluginInstance Effect::CreatePlugin( ffgl::PluginInfo infos )
{
	return Plugin::CreatePlugin< PluginType >( infos, ffgl::PluginType::FF_EFFECT );
}

}// namespace ffglqs
